---
title: PasswordCredential.passwordName
slug: Web/API/PasswordCredential/passwordName
tags:
  - API
  - Credential Management API
  - NeedsExample
  - PasswordCredential
  - Property
  - Reference
  - credential management
---
<p>{{SeeCompatTable}}{{APIRef("")}}{{Deprecated_header}}</p>

<p><span class="seoSummary">The <strong><code>passwordName</code></strong> property of the {{domxref("PasswordCredential")}} interface returns a {{domxref("USVString")}}, depicting the name used by the password field</span>, when submitting the current object to a remote endpoint via {{domxref("fetch")}}. This property defaults to <code>'password'</code>, but may be matched to anything your backend service expects.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox">var passwordName = PasswordCredential.passwordName
PasswordCredential.passwordName = "passcode"</pre>

<h3 id="Value">Value</h3>

<p>A  {{domxref("USVString")}} representing the password field name, used when submitting the current object to a remote endpoint via {{domxref("fetch")}}.</p>

<h2 id="Example">Example</h2>

<pre class="brush: js">// TBD</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('Credential Management')}}</td>
   <td>{{Spec2('Credential Management')}}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.PasswordCredential.passwordName")}}</p>
